Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
BlowersMaselData Struct Reference

Data container holding shared data specific to BlowersMaselRate. More...

`#include <BlowersMaselRate.h>`

Inheritance diagram for BlowersMaselData:
[legend]
Collaboration diagram for BlowersMaselData:
[legend]

## Public Member Functions
virtual void | update (double T) override
| Update data container based on temperature T More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases) override
| Update number of species, reactions and phases. More...
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
Public Member Functions inherited from ReactionData
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Public Attributes
bool | ready
| boolean indicating whether vectors are accessible More...
double | density
| used to determine if updates are needed More...
vector_fp | partialMolarEnthalpies
| partial molar enthalpies More...
Public Attributes inherited from ReactionData
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...

## Protected Attributes
int | m_state_mf_number
| integer that is incremented when composition changes More...
Protected Attributes inherited from ReactionData
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data specific to BlowersMaselRate.

The data container `BlowersMaselData` holds precalculated data common to all `BlowersMaselRate` objects.

Definition at line 19 of file BlowersMaselRate.h.

## Constructor & Destructor Documentation

## ◆ BlowersMaselData()

BlowersMaselData | ( |  | ) |

Definition at line 14 of file BlowersMaselRate.cpp.

## Member Function Documentation

## ◆ update() [1/6]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Reimplemented in InterfaceData, InterfaceData, and InterfaceData.

Definition at line 21 of file BlowersMaselRate.cpp.

## ◆ update() [2/6]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Reimplemented in InterfaceData, InterfaceData, and InterfaceData.

Definition at line 27 of file BlowersMaselRate.cpp.

References Phase::density(), and Phase::stateMFNumber().

## ◆ resize()

virtual void resize | ( | size_t | nSpecies,
|  | size_t | nReactions,
|  | size_t | nPhases
| ) |  |
| inline override virtual

Update number of species, reactions and phases.

Reimplemented from ReactionData.

Reimplemented in InterfaceData.

Definition at line 27 of file BlowersMaselRate.h.

References BlowersMaselData::partialMolarEnthalpies, and BlowersMaselData::ready.

## ◆ update() [3/6]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Reimplemented in InterfaceData, and InterfaceData.

Definition at line 35 of file ReactionData.h.

## ◆ update() [4/6]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Reimplemented in InterfaceData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [5/6]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Reimplemented in InterfaceData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [6/6]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Reimplemented in InterfaceData, and InterfaceData.

## Member Data Documentation

## ◆ ready

bool ready

boolean indicating whether vectors are accessible

Definition at line 32 of file BlowersMaselRate.h.

Referenced by BlowersMaselData::resize(), InterfaceData::resize(), BlowersMaselRate::updateFromStruct(), and InterfaceRateBase::updateFromStruct().

## ◆ density

double density

used to determine if updates are needed

Definition at line 33 of file BlowersMaselRate.h.

Referenced by InterfaceRateBase::updateFromStruct().

## ◆ partialMolarEnthalpies

vector_fp partialMolarEnthalpies

partial molar enthalpies

Definition at line 34 of file BlowersMaselRate.h.

Referenced by BlowersMaselData::resize(), InterfaceData::resize(), and BlowersMaselRate::updateFromStruct().

## ◆ m_state_mf_number

int m_state_mf_number
| protected

integer that is incremented when composition changes

Definition at line 37 of file BlowersMaselRate.h.

The documentation for this struct was generated from the following files:

- BlowersMaselRate.h
- BlowersMaselRate.cpp